gnu.crypto.prng

## Class RandomEventStandalone

- java.lang.Object
- - java.util.EventObject
  - - gnu.crypto.prng.RandomEventStandalone

All Implemented Interfaces:
  Serializable

    public class RandomEventStandalone
    extends EventObject

An interface for entropy accumulators that will be notified of random events.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`RandomEventStandalone(Object source, byte sourceNumber, byte poolNumber, byte[] data)`

### Method Summary

Methods
`byte[]` `getData()`
`byte` `getPoolNumber()`
`byte` `getSourceNumber()`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RandomEventStandalone

    public RandomEventStandalone(Object source,
                         byte sourceNumber,
                         byte poolNumber,
                         byte[] data)

### Method Detail

#### getSourceNumber

    public byte getSourceNumber()

#### getPoolNumber

    public byte getPoolNumber()

#### getData

    public byte[] getData()